<!-- <ion-header style="background-color:#e0574d">

  <ion-grid>
    <ion-row>
      <ion-col size="3" class="ion-align-item-start" class="head">
        <img src="assets/img/mbaku-side-logo.png" alt="" class="logo-side">
      </ion-col>
      <ion-col size="9" class="ion-align-item-end">
        <ion-searchbar color="light" placeholder="Cari Buku" mode="ios"></ion-searchbar>
      </ion-col>
    </ion-row>
  </ion-grid>

</ion-header> -->

<ion-content>

  <div class="header-search" fxLayout="row">
    <div [fxFlex]="50" style="height: 100%" fxLayoutAlign="start center">
      <img src="assets/img/mbaku-side-logo.png" alt="" class="logo-side ion-margin-start">
    </div>
    <div [fxFlex]="50" fxLayoutAlign="end center">
      <ion-item slot="start" lines="none">
        <ion-icon slot="end" class="ic-search" name='search'></ion-icon>
        <ion-input class="input-search" placeholder="Cari buku..." (click)="searchTitle()" [readonly]="true">
        </ion-input>
      </ion-item>
    </div>
  </div>
  <!-- CARD BANNER -->
  <div style="height:100px;">
  </div>
  <ion-slides class="image-slider ion-margin-bottom" style="margin-top: -75px;" loop="true" slidesPerView="5">
    <ion-slide [hidden]="banner?.borrow">
      <img src="assets/img/banner_1.png">
    </ion-slide>

    <ion-slide [hidden]="!banner?.borrow">
      <div (click)="gotoDetailProfile()" fxLayout="column" class="banner-borrow" style="background-image: url('assets/img/banner_2.png')">
        <div class="ion-float-end" flex="50" class="banner-content">
          <p>{{banner?.borrow?.bookTitle}}</p>
          <p class="duedate">{{banner?.borrow?.transactionLoanDueDate | date}}</p>
        </div>

      </div>
    </ion-slide>
  </ion-slides>
  <!-- END CARD BANNER -->

  <!-- ICON MENU -->
  <ion-grid class="card-sec-menu ion-margin-start ion-margin-end ion-text-center">
    <ion-row class="ic-list">
      <ion-col size="3" (click)="gotoLibrary()">
        <img src="assets/img/Icon Daftar Perpustakaan.png" alt=""><br>
        <p>Daftar <br> Perpustakaan </p>
      </ion-col>
      <ion-col size="3" (click)="filterBook('popular')">
        <img src="assets/img/Icon buku terpopuler.png" alt="">
        <p>Buku <br> Terpopuler </p>
      </ion-col>
      <ion-col size="3" (click)="filterBook('booknew')">
        <img src="assets/img/Icon buku terbaru.png" alt="">
        <p>Buku <br> Terbaru</p>
      </ion-col>
      <ion-col size="3" (click)="filterBook('mostsearch')">
        <img src="assets/img/Icon Pencarian.png" alt="">
        <p>Populer <br> Pencarian </p>
      </ion-col>
    </ion-row>
  </ion-grid>
  <!-- END ICON MENU -->

  <!-- PERPUSTAKAAN TERDEKAT -->
  <ion-grid class="card-sec-nearby ion-padding-start ion-padding-end">
    <ion-row>
      <ion-col size="8" fxLayoutAlign="start center">
        <span>Perpustakaan Terdekat</span>
      </ion-col>
      <ion-col size="4" class="see-more" (click)="gotoLibrary()" *ngIf="nearbyList?.length > 0">
        <span>Lihat Semua</span>
      </ion-col>
    </ion-row>
  </ion-grid>

  <!-- CARD PERPUS -->
  <ion-card mode="ios" class="perpus" *ngFor="let list of nearbyList">
    <ion-grid (click)="gotoDetailLibrary(list)">
      <ion-row>
        <ion-col size="4">
          <img [src]="libraryPathPhoto + list?.libraryPhoto" alt=""
            onerror="this.src='assets/img/image-not-found.png';">
        </ion-col>
        <ion-col size="8">
          <h5 class="sparator">
            {{list?.libraryName}}
          </h5>
          <p class="sparator"><b>Alamat : </b> {{list?.libraryAddress}}</p>
          <p class="sparator"><b>Buka :
            </b>{{list?.settingValue?.operationalHours ? list?.settingValue?.operationalHours : "---"}}</p>
          <p class="sparator"><b>Jarak : </b>{{list?.distance ? list?.distance : "---"}}</p>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>

  <!-- Skeleton screen -->
  <div *ngIf="isLoading" >
    <ion-card mode="ios" class="perpus" *ngFor="let i of [1,2,3,4,5]">
      <ion-item lines="none">
        <ion-thumbnail slot="start" class="skeleton-thumbs">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </h3>
          <br>
          <p>
            <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
    </ion-card>
  </div>

  <ion-card mode="ios" class="perpus" *ngIf="nearbyList?.length == 0">
    <ion-grid class="ion-text-center">
      <ion-row>
        <ion-col>
          <h4>Belum Tersedia</h4>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>

  <!-- END PERPUSTAKAAN TERDEKAT -->

</ion-content>